description

# FileLock class Null safety

Type of lock when requesting a lock on a file.

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited

## Constants

BLOCKING_EXCLUSIVE → const FileLock
  @Deprecated("Use blockingExclusive instead")
  `blockingExclusive`
BLOCKING_SHARED → const FileLock
  @Deprecated("Use blockingShared instead")
  `blockingShared`
blockingExclusive → const FileLock
  Blocking exclusive file lock.
  `const FileLock._internal(4)`
blockingShared → const FileLock
  Blocking shared file lock.
  `const FileLock._internal(3)`
EXCLUSIVE → const FileLock
  @Deprecated("Use exclusive instead")
  `exclusive`
exclusive → const FileLock
  Exclusive file lock.
  `const FileLock._internal(2)`
SHARED → const FileLock
  @Deprecated("Use shared instead")
  `shared`
shared → const FileLock
  Shared file lock.
  `const FileLock._internal(1)`